"""URL configuration for aiservice project.

The `urlpatterns` list routes URLs to views. For more information please see:
    https://docs.djangoproject.com/en/5.0/topics/http/urls/

Examples
--------
Function views
    1. Add an import:  from my_app import views
    2. Add a URL to urlpatterns:  path('', views.home, name='home')
Class-based views
    1. Add an import:  from other_app.views import Home
    2. Add a URL to urlpatterns:  path('', Home.as_view(), name='home')
Including another URLconf
    1. Import the include() function: from django.urls import include, path
    2. Add a URL to urlpatterns:  path('blog/', include('blog.urls'))

"""

# from django.contrib import admin
from django.urls import path

from core.languages.python.adaptive_optimizer.adaptive_optimizer import adaptive_optimize_api
from core.languages.python.code_repair.code_repair import code_repair_api
from core.languages.python.explanations.explanations import explanations_api
from core.languages.python.jit_rewrite.jit_rewrite import jit_rewrite_api
from core.languages.python.optimization_review.optimization_review import optimization_review_api
from core.languages.python.optimizer.optimizer_line_profiler import optimize_line_profiler_api
from core.languages.python.optimizer.refinement import refinement_api
from core.log_features.log_features import features_api
from core.shared.optimizer_router import optimize_api
from core.shared.ranker.ranker import ranker_api
from core.shared.testgen_review.repair import testgen_repair_api
from core.shared.testgen_review.review import testgen_review_api
from core.shared.testgen_router import testgen_api
from core.shared.workflow_gen.workflow_gen import workflow_gen_api

urlpatterns = [
    path("ai/optimize", optimize_api.urls),
    path("ai/optimize-line-profiler", optimize_line_profiler_api.urls),
    path("ai/testgen", testgen_api.urls),
    path("ai/testgen_review", testgen_review_api.urls),
    path("ai/testgen_repair", testgen_repair_api.urls),
    path("ai/log_features", features_api.urls),
    path("ai/refinement", refinement_api.urls),
    path("ai/explain", explanations_api.urls),
    path("ai/rank", ranker_api.urls),
    path("ai/optimization_review", optimization_review_api.urls),
    path("ai/code_repair", code_repair_api.urls),
    path("ai/adaptive_optimize", adaptive_optimize_api.urls),
    path("ai/workflow-gen", workflow_gen_api.urls),
    path("ai/rewrite_jit", jit_rewrite_api.urls),
]
